#!/bin/sh
#

FILE_OLD="/var/keys/mg_cfg"
FILE_TMP="$FILE_OLD.tmp"
FILE_NEW="$FILE_OLD.new"

FILE_OLD1="/var/keys/newcamd.list"
FILE_TMP1="$FILE_OLD1.tmp"
FILE_NEW1="$FILE_OLD1.new"


if [ -f $FILE_OLD ]; then
	mv -f $FILE_OLD $FILE_TMP
fi

if [ -f $FILE_OLD1 ]; then
	mv -f $FILE_OLD1 $FILE_TMP1
fi

tar -zxvf /tmp/var.tar.gz -C /

if [ -f $FILE_TMP ]; then
	mv -f $FILE_OLD $FILE_NEW
	mv -f $FILE_TMP $FILE_OLD
fi

if [ -f $FILE_TMP1 ]; then
	mv -f $FILE_OLD1 $FILE_NEW1
	mv -f $FILE_TMP1 $FILE_OLD1
fi

rm -f /tmp/var.tar.gz

exit 0
